diff -r e74dbc5074d0 lib/configure.py
--- a/lib/configure.py	Fri Jun 28 16:51:28 2013 +0100
+++ b/lib/configure.py	Fri Jun 28 17:36:30 2013 +0100
@@ -473,15 +473,16 @@
         self.qsci_api_dir = os.path.join(qt_config.QT_INSTALL_DATA, 'qsci')
         self.qsci_api = os.path.isdir(self.qsci_api_dir)
 
-        # The binary MacOS/X Qt installer defaults to XCode.  If this is what
-        # we might have then use macx-clang.
+        if opts.qmakespec is not None:
+            self.qmake_spec = opts.qmakespec
+
         if sys.platform == 'darwin':
-            if qt_config.QMAKE_SPEC == 'macx-xcode':
-                # This will exist (and we can't check anyway).
-                self.qmake_spec = 'macx-clang'
-            else:
-                # No need to explicitly name the default.
-                self.qmake_spec = ''
+            if opts.qmakespec is None:
+                # The binary MacOS/X Qt installer defaults to XCode.  If this
+                # is what we might have then use macx-clang.
+                if qt_config.QMAKE_SPEC == 'macx-xcode':
+                    # This will exist (and we can't check anyway).
+                    self.qmake_spec = 'macx-clang'
 
             # See if it is a framework.
             if os.access(os.path.join(qt_config.QT_INSTALL_LIBS, 'QtCore.framework'), os.F_OK):
@@ -528,9 +529,6 @@
         if opts.pyuicinterpreter is not None:
             self.pyuic_interpreter = opts.pyuicinterpreter
 
-        if opts.qmakespec is not None:
-            self.qmake_spec = opts.qmakespec
-
         if opts.qsciapidir is not None:
             self.qsci_api_dir = opts.qsciapidir
 